Subject: bug#18072: bug#37910: CC Mode 5.33.2 (C++//l); CC-mode inconsistently indents everything as topmost-intro after a while

From: Stefan Kangas <[email-masked]>
Date: Fri, 15 Nov 2019 04:11:54 +0100

Hi Juhani,

Alan Mackenzie <[email-masked]> writes:

> On Wed, Nov 13, 2019 at 16:12:11 -0800, Eric Scrivner wrote:
>> Hi Alan,
>
>> Thanks so much for the patch and explanation. I applied it locally and
>> while the patch didn't seem to have much effect, setting
>> `open-paren-in-column-0-is-defun-start` to `nil` seems to have done the
>> trick here without any noticeable impact on performance. It seems as you've
>> said that there may be some issues in the heuristic used for performance
>> optimization here.
>
>> I will let you know if any other issues surface, but it appears this has
>> fixed my issue.
>
> OK, thanks for the test.  I think it is now time to commit the patch and
> close the bug.
>
> I am hoping that the patch, already applied to the savannah master
> branch, will also have fixed bugs #5910 and #18072.  Their (sporadic)
> symptoms were consistent with the glitches fixed by the patch.

I'm not sure if you're still in a position to reproduce Bug#18072.  If
you are, could you please help test Alan's patch?

Thanks in advance.

Best regards,
Stefan Kangas